%define upstream_name	 Net-IP-Match-Regexp
%define upstream_version 1.01

%define _requires_exceptions perl(re)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:	Efficiently match IP addresses against IP ranges via regexp
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
This module allows you to check an IP address against one or more IP
ranges.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README CHANGES
%{perl_vendorlib}/Net
%{_mandir}/man3/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 370645
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 13418
- imported package perl-Net-IP-Match-Regexp

